{ config, pkgs, ... }:

let
  meta = import ../../meta;
  plessur-net = meta.network.physical-networks.plessur;
  montalin-net = plessur-net.dmz.hosts.montalin;
in {
  networking.hostName = "montalin"; # Define your hostname.

  networking.useDHCP = false;
  networking.interfaces.eno1 = {
    ipv4.addresses = [{
      address = montalin-net.v4.ip;
      prefixLength = plessur-net.lan.v4.bitmask;
    }];
  };
  networking.interfaces.wlp1s0.useDHCP = true;

  networking.defaultGateway = plessur-net.lan.v4.gateway;
  networking.nameservers = plessur-net.lan.v4.nameservers;

  # Configure network proxy if necessary
  # networking.proxy.default = "http://user:password@proxy:port/";
  # networking.proxy.noProxy = "127.0.0.1,localhost,internal.domain";

  networking.firewall.allowedTCPPorts = [ 80 443 ];
}
